import numpy

x = numpy.linspace(-.5, .5, 100)
y = numpy.linspace(-.5, .5, 100)

pts = []

i = 1
for xi in range(len(x)):
	for yi in range(len(y)):
		if numpy.linalg.norm([x[xi], y[yi]]) < 0.1:
			continue
		pts.append("%d 0.0 %f %f\n" % (i, x[xi], y[yi]))
		i += 1

out = open("evaluation_points.dat", "w")
out.write("[points]\n")
out.write("%d\n" % (i-1)) 
out.write("".join(pts))
